Get a User Identity
POST /user_identities/get β { user_identity }Request Parameters
Response
Examples
Get a user identity
Last updated
Was this helpful?
POST /user_identities/get β { user_identity }Last updated
Was this helpful?
Was this helpful?
{
JSON representation of user_identity
}await seam.userIdentities.get({
user_identity_id: "48500a8e-5e7e-4bde-b7e5-0be97cae5d7a",
});{
"user_identity_id": "48500a8e-5e7e-4bde-b7e5-0be97cae5d7a",
"user_identity_key": "jean_doe",
"email_address": "[email protected]",
"phone_number": "+15555550110",
"display_name": "Jean Doe",
"full_name": "Jean Doe",
"created_at": "2024-01-11T05:37:50.264Z",
"workspace_id": "398d80b7-3f96-47c2-b85a-6f8ba21d07be"
}seam.user_identities.get(user_identity_id="48500a8e-5e7e-4bde-b7e5-0be97cae5d7a")UserIdentity(
user_identity_id="48500a8e-5e7e-4bde-b7e5-0be97cae5d7a",
user_identity_key="jean_doe",
email_address="[email protected]",
phone_number="+15555550110",
display_name="Jean Doe",
full_name="Jean Doe",
created_at="2024-01-11T05:37:50.264Z",
workspace_id="398d80b7-3f96-47c2-b85a-6f8ba21d07be",
)seam.user_identities.get(user_identity_id: "48500a8e-5e7e-4bde-b7e5-0be97cae5d7a"){
"user_identity_id" => "48500a8e-5e7e-4bde-b7e5-0be97cae5d7a",
"user_identity_key" => "jean_doe",
"email_address" => "[email protected]",
"phone_number" => "+15555550110",
"display_name" => "Jean Doe",
"full_name" => "Jean Doe",
"created_at" => "2024-01-11T05:37:50.264Z",
"workspace_id" => "398d80b7-3f96-47c2-b85a-6f8ba21d07be",
}<?php
$seam->user_identities->get(
user_identity_id: "48500a8e-5e7e-4bde-b7e5-0be97cae5d7a"
);<?php
[
"user_identity_id" => "48500a8e-5e7e-4bde-b7e5-0be97cae5d7a",
"user_identity_key" => "jean_doe",
"email_address" => "[email protected]",
"phone_number" => "+15555550110",
"display_name" => "Jean Doe",
"full_name" => "Jean Doe",
"created_at" => "2024-01-11T05:37:50.264Z",
"workspace_id" => "398d80b7-3f96-47c2-b85a-6f8ba21d07be",
];seam user-identities get --user_identity_id "48500a8e-5e7e-4bde-b7e5-0be97cae5d7a"{
"user_identity_id": "48500a8e-5e7e-4bde-b7e5-0be97cae5d7a",
"user_identity_key": "jean_doe",
"email_address": "[email protected]",
"phone_number": "+15555550110",
"display_name": "Jean Doe",
"full_name": "Jean Doe",
"created_at": "2024-01-11T05:37:50.264Z",
"workspace_id": "398d80b7-3f96-47c2-b85a-6f8ba21d07be"
}package main
import api "github.com/seamapi/go"
func main() {
client.UserIdentities.Get(
context.Background(),
api.UserIdentitiesGetRequest{
UserIdentityId: api.String("48500a8e-5e7e-4bde-b7e5-0be97cae5d7a"),
},
)
}api.UserIdentity{UserIdentityId: "48500a8e-5e7e-4bde-b7e5-0be97cae5d7a", UserIdentityKey: "jean_doe", EmailAddress: "[email protected]", PhoneNumber: "+15555550110", DisplayName: "Jean Doe", FullName: "Jean Doe", CreatedAt: "2024-01-11T05:37:50.264Z", WorkspaceId: "398d80b7-3f96-47c2-b85a-6f8ba21d07be"}curl --include --request POST "https://connect.getseam.com/user_identities/get" \
--header "Authorization: Bearer $SEAM_API_KEY" \
--json @- <<EOF
{
"user_identity_id": "48500a8e-5e7e-4bde-b7e5-0be97cae5d7a"
}
EOF{
"user_identity": {
"user_identity_id": "48500a8e-5e7e-4bde-b7e5-0be97cae5d7a",
"user_identity_key": "jean_doe",
"email_address": "[email protected]",
"phone_number": "+15555550110",
"display_name": "Jean Doe",
"full_name": "Jean Doe",
"created_at": "2024-01-11T05:37:50.264Z",
"workspace_id": "398d80b7-3f96-47c2-b85a-6f8ba21d07be"
}
}